Inhalte

# VBA-Funktion AscW

Gibt den Unicodewert des ersten Zeichens eines Zeichenfolgenausdrucks zurück.

Diese Konstante, diese Funktion oder dieses Objekt wird durch Platzierung der Anweisung Option VBASupport 1 vor dem auszuführenden Programmcode des Moduls aktiviert.

### Syntax:

    AscW (string) As Long

### Rückgabetyp:

Long

### Parameter:

string: Eine gültige Zeichenfolge. Nur das erste Zeichen in der Zeichenfolge ist relevant.

Verwenden Sie die Funktion AscW, um Unicode-Zeichen durch Werte zu ersetzen. Stößt die Funktion AscW auf eine leere Zeichenfolge, so meldet LibreOffice Basic einen Laufzeitfehler. Die zurückgegebenen Werte liegen zwischen 0 und 65535.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

### Beispiel:

    Sub ExampleAscW
     Print AscW("A") ' Liefert 65 zurück
     Print AscW(string:="Ω") ' ergibt 937
     Print AscW("Αθήνα") ' Liefert 913 zurück, weil nur das erste Zeichen (Alpha) berücksichtigt wird
    End Sub

Verwandte Themen

BASIC-Funktion Asc

Funktion Chr

VBA-Funktion ChrW

Bitte unterstützen Sie uns!